<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>Node</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Node";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Node.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/Node.html" target="_top">Frames</a></li>
<li><a href="Node.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.dpp</div>
<h2 title="Interface Node" class="title">Interface Node</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTCoordExpression.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTCoordExpression</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTDPathFilter.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTDPathFilter</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTDPathNavigation.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTDPathNavigation</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTDPathTest.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTDPathTest</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTExpression.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTExpression</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTGroupedExpression.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTGroupedExpression</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTMacroExpression.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTMacroExpression</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTStart.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTStart</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleNode</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">Node</span></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#getId()">getId</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtAddChild(fr.inria.alpage.frmgcm.dpp.Node,%20int)">jjtAddChild</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n,
           int&nbsp;i)</code>
<div class="block">This method tells the node to add its argument to the node's
    list of children.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtClose()">jjtClose</a></strong>()</code>
<div class="block">This method is called after all the child nodes have been
    added.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtGetChild(int)">jjtGetChild</a></strong>(int&nbsp;i)</code>
<div class="block">This method returns a child node.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtGetNumChildren()">jjtGetNumChildren</a></strong>()</code>
<div class="block">Return the number of children the node has.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtGetParent()">jjtGetParent</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtOpen()">jjtOpen</a></strong>()</code>
<div class="block">This method is called after the node has been made the current
    node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html#jjtSetParent(fr.inria.alpage.frmgcm.dpp.Node)">jjtSetParent</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n)</code>
<div class="block">This pair of methods are used to inform the node of its
    parent.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="jjtOpen()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtOpen</h4>
<pre>void&nbsp;jjtOpen()</pre>
<div class="block">This method is called after the node has been made the current
    node.  It indicates that child nodes can now be added to it.</div>
</li>
</ul>
<a name="jjtClose()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtClose</h4>
<pre>void&nbsp;jjtClose()</pre>
<div class="block">This method is called after all the child nodes have been
    added.</div>
</li>
</ul>
<a name="jjtSetParent(fr.inria.alpage.frmgcm.dpp.Node)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtSetParent</h4>
<pre>void&nbsp;jjtSetParent(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n)</pre>
<div class="block">This pair of methods are used to inform the node of its
    parent.</div>
</li>
</ul>
<a name="jjtGetParent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtGetParent</h4>
<pre><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;jjtGetParent()</pre>
</li>
</ul>
<a name="jjtAddChild(fr.inria.alpage.frmgcm.dpp.Node, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtAddChild</h4>
<pre>void&nbsp;jjtAddChild(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;n,
               int&nbsp;i)</pre>
<div class="block">This method tells the node to add its argument to the node's
    list of children.</div>
</li>
</ul>
<a name="jjtGetChild(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtGetChild</h4>
<pre><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a>&nbsp;jjtGetChild(int&nbsp;i)</pre>
<div class="block">This method returns a child node.  The children are numbered
     from zero, left to right.</div>
</li>
</ul>
<a name="jjtGetNumChildren()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtGetNumChildren</h4>
<pre>int&nbsp;jjtGetNumChildren()</pre>
<div class="block">Return the number of children the node has.</div>
</li>
</ul>
<a name="getId()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getId</h4>
<pre>int&nbsp;getId()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Node.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/Node.html" target="_top">Frames</a></li>
<li><a href="Node.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
